Subject: Re: bug#62260: 30.0.50; [PATCH] Restrict auto-save file mode

From: Manuel Giraud <[email-masked]>
Date: Sat, 18 Mar 2023 20:22:55 +0100

Eli Zaretskii <[email-masked]> writes:

>> Did you try a different user?
>
> Actually, the right question is: what exactly did you try?  As you can
> see from the code, 0666 value is used only for buffers that don't
> visit files.  Did you try with such a buffer, and what exactly did you
> try?

I didn't with a buffer not visiting a file.  I have tried with a file in
/tmp that by default on my system is created with mode 0644.  Then I
write something into this file and do 'M-x do-auto-save'.

With this patch, the /tmp directory now contains an auto-save file with
mode 0600.
-- 
Manuel Giraud